KDE 4.2 PyKDE API Reference

- KDE's Python API

# ConfigDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Sonnet

## Detailed Description

The sonnet ConfigDialog

## Signals

| languageChanged (QString language)

## Methods

| __init__ (self, KConfig config, QWidget parent)
| __init__ (self, Sonnet.ConfigDialog a0)
| languageChanged (self, QString language)
| setLanguage (self, QString language)
| slotApply (self)
| slotOk (self)

## Method Documentation

__init__ | ( | self, |
|  | KConfig | config,
|  | QWidget | parent
| ) |  |  |

__init__ | ( | self, |
|  | Sonnet.ConfigDialog | a0
| ) |  |  |

languageChanged | ( | self, |
|  | QString | language
| ) |  |  |

This is emitted when the user closed the dialog (and did not cancel it).

Parameters:

  | language | the language which the user has selected

Since:
  4.1

Signal syntax:
  `QObject.connect(source, SIGNAL("languageChanged(const QString&)"), target_slot)`

setLanguage | ( | self, |
|  | QString | language
| ) |  |  |

Sets the language/dictionary that will be selected by default in this config dialog. This overrides the setting in the config file.

Parameters:

  | language | the language which will be selected by default.

Since:
  4.1

slotApply | ( |  | self ) |

slotOk | ( |  | self ) |